#!/usr/bin/env python
# -*- coding: utf-8 -*-

import threading


class SyncMsg_Event(object):
    def __init__(self):
        self.event = threading.Event()
        self.clear()
        self.msg = None

    def wait(self, time_s=None):
        self.event.wait(time_s)

        return self.msg

    def set(self, msg):
        self.msg = msg
        self.event.set()

    def clear(self):
        self.msg = None
        self.event.clear()
